Bug 112116 - Updating StatusBar value makes status bar flicker on Windows (see comment 13)
Summary: Updating StatusBar value makes status bar flicker on Windows (see comment 13)
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
5.3.5.2 release
Hardware: All Windows (All)
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Macro-VBA
  Show dependency treegraph
 
Reported: 2017-08-30 21:15 UTC by dfraipont
Modified: 2019-07-30 09:35 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
test file (8.97 KB, application/vnd.oasis.opendocument.graphics)
2017-09-06 16:00 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dfraipont 2017-08-30 21:15:10 UTC
Hello,

When updating StatusBar value, progressBar return to zero some times.
Here a code to reproduce with Draw and Impress

Sub TestStatusBar()
	Dim i As Integer
	ThisComponent.CurrentController.StatusIndicator.Start(gsStatusBarText,1000)
	For i = 1 To 1000
		ThisComponent.CurrentController.StatusIndicator.setText(i)
		ThisComponent.CurrentController.StatusIndicator.setValue(i)
	Next
	ThisComponent.CurrentController.StatusIndicator.end()
End Sub

Seems to be the same when saving big document.
Comment 1 Xisco Faulí 2017-09-04 08:56:32 UTC
Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. 
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)
Comment 2 dfraipont 2017-09-04 14:40:26 UTC
Hello,

You only need to run TestStatusBar VB macro in new draw document.
Comment 3 raal 2017-09-06 16:00:22 UTC
Created attachment 136072 [details]
test file

 When I run macro I can see numbers in status bar increase, doesn't see 0.
Version: 6.0.0.0.alpha0+
Build ID: e845507bc22a166ec172a4b4d9da120a16f8a964
CPU threads: 4; OS: Windows 6.1; UI render: default;
Comment 4 dfraipont 2017-09-06 16:46:08 UTC
>  When I run macro I can see numbers in status bar increase, doesn't see 0.
I don't talk about text but ProgressBar value.
Did you see it progress?
Comment 5 raal 2017-09-06 17:59:09 UTC
(In reply to dfraipont from comment #4)
> >  When I run macro I can see numbers in status bar increase, doesn't see 0.
> I don't talk about text but ProgressBar value.
> Did you see it progress?

Yes, no problem in Version: 6.0.0.0.alpha0+, Linux. But on windows I doesn't see progres - the status bar is blinking. That's the problem?
Comment 6 Xisco Faulí 2017-09-06 20:41:04 UTC
Are you on Windows or Linux?
On GTK3, it was recently fixed in bug 111865
Comment 7 dfraipont 2017-09-06 21:42:16 UTC
(In reply to Xisco Faulí from comment #6)
> Are you on Windows or Linux?
> On GTK3, it was recently fixed in bug 111865

On Windows 7, v5.3.6.1(x64)
Comment 8 Luis 2017-09-15 23:16:50 UTC
Tested with Windows 8.1
In LO version 5.4.0.3 fails but in LO version 6.0.0.0.alpha0+ works flawlessly.
Comment 9 QA Administrators 2018-04-04 13:09:28 UTC Comment hidden (obsolete)
Comment 10 dfraipont 2018-04-04 13:46:30 UTC
Still here in 5.4.5.1.
Comment 11 Buovjaga 2018-04-04 19:54:49 UTC
(In reply to dfraipont from comment #10)
> Still here in 5.4.5.1.

Luis said "In LO version 5.4.0.3 fails but in LO version 6.0.0.0.alpha0+ works flawlessly" so the interesting result from you would be with 6.0.x.
Comment 12 Xisco Faulí 2018-05-08 10:01:06 UTC
(In reply to dfraipont from comment #10)
> Still here in 5.4.5.1.

Could you please try to reproduce it with the latest version of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 13 dfraipont 2018-05-08 11:28:10 UTC
Hello,

This works well in v6.0.3 if running step by step.
When running normally (F5), the status bar blink.
This should not occurs between:
StatusIndicator.Start(gsStatusBarText,1000)
and
StatusIndicator.end()

Is it possible to disable statusBar paint event while enter in StatusIndicator.Start?

In same things, if I hide statusBar then running .Start() show bar but hide it after .end().
Comment 14 Buovjaga 2018-05-10 14:31:17 UTC
Let's just change the topic as raal confirmed the flickering in comment 5.
Comment 15 Luis 2018-05-15 09:28:14 UTC
Hello.

Tested in Windows 7 with LO 6.0.4.2

I confirm the flickering

Inserting a delay ("wait 10") between setText and setValue of after setValue I can't see any flick.
Comment 16 Luis 2018-05-15 09:51:35 UTC
I think that in version 6 is a diferent but related bug. 
In previous versions the progress of the status bar was not visible (as stated in the title: "StatusIndicator: ProgressBar value return to 0").
In version 6 (Windows) the progress of the status bar is visible but there is some flick.
Comment 17 QA Administrators 2019-07-30 03:16:32 UTC Comment hidden (obsolete)
Comment 18 dfraipont 2019-07-30 09:35:41 UTC
Tested with 6.2.5.2 (x64)
from Help - About LibreOffice